function _define_property(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _object_spread(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property(target, key, source[key]);
        });
    }
    return target;
}
import React from 'react';
import { IconSettings } from '@salutejs/plasma-icons';
import { Badge } from '.';
var defaultProps = {
    text: 'Badge',
    size: 'l',
    view: 'default'
};
export var Default = function() {
    return /*#__PURE__*/ React.createElement(Badge, _object_spread({
        contentLeft: /*#__PURE__*/ React.createElement(IconSettings, {
            color: "inherit",
            size: "xs"
        })
    }, defaultProps));
};
